# Note that this is NOT a relocatable package
%define ver      0.34
%define rel      1
%define prefix   /usr

Summary: Network traffic visualisation tool
Name: traffic-vis
Version: %ver
Release: %rel
Copyright: GPL
Group: Console/Networking
Source: traffic-vis-0.34.tar.gz
Source2: traffic-vis.Makefile.diff.tar
URL: http://www.ilogic.com.au/~dmiller/traffic-vis.html
BuildRoot: /var/tmp/traffic-vis-root
Prefix: %prefix

%description
This is traffic-vis, a free network traffic monitor package.
traffic-vis is a suite of tools to help determine which hosts have
been communicating on an IP network, with whom they have been
communicating and the volume of communication taking place on a host
by host basis.
This release (0.3x) breaks the monolithic traffic-vis program into
man pieces. traffic-collector, a daemon which collects (duh) and
summarises network traffic and will produce a report upon receipt of a
SIGUSR1. This report is in text format, but is not designed to be read
by humans. A bunch of tools are provided to process this and convert
it into a human-readable report:
traffic-resolve, a small tool to resolve the hostnames in a
traffic-collect log. traffic-exclude, which excludes hosts from the
summary based on IP address. traffic-sort, which sorts and limits the 
size of a report and three front-ends: traffic-tops, traffic-totext 
and traffic-tohtml which take produce postscript, text and HTML 
reports respectively.

%changelog

* Sat Apr 06 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Updated for Red Hat Linux 7.2

%prep
%setup 
%setup -a 2

%build
patch Makefile <makefile.diff

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf /var/tmp/traffic-vis-root
mkdir -p /var/tmp/traffic-vis-root/usr/sbin
mkdir -p /var/tmp/traffic-vis-root/usr/share/man/man8
make  install

%clean
rm -rf /var/tmp/traffic-vis-root

%files
%defattr(-, root, root)

%doc BUGS COPYING CHANGELOG TODO README
%{prefix}/sbin/*
%{prefix}/share/man/man*/*

